// PrgOther.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "PrgOther.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPrgOther _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPrgOther, CFCPropertyPageBase)

CFCPrgOther::CFCPrgOther() : BASE_CLASS(CFCPrgOther::IDD)
{
	//{{AFX_DATA_INIT(CFCPrgOther)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

CFCPrgOther::~CFCPrgOther()
{
}

void CFCPrgOther::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPrgOther)
	DDX_Control(pDX, IDC_PGO_STC_FIX_VERT_CENTER_RESIZE, m_stcIsFixVertCenterResize);
	DDX_Control(pDX, IDC_PGO_STC_FIX_HORZ_CENTER_RESIZE, m_stcIsFixHorzCenterResize);
	DDX_Control(pDX, IDC_PGO_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCPrgOther, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPrgOther)
	ON_WM_CTLCOLOR()
	ON_CBN_EDITCHANGE(IDC_PGO_CBB_FRONT_ARROW_AUTO_GAP, OnEditchangePgoCbbFrontArrowAutoGap)
	ON_CBN_CLOSEUP(IDC_PGO_CBB_FRONT_ARROW_AUTO_GAP, OnCloseupPgoCbbFrontArrowAutoGap)
	ON_CBN_SELCHANGE(IDC_PGO_CBB_FRONT_ARROW_AUTO_GAP, OnSelchangePgoCbbFrontArrowAutoGap)
	ON_CBN_EDITCHANGE(IDC_PGO_CBB_BACK_ARROW_AUTO_GAP, OnEditchangePgoCbbBackArrowAutoGap)
	ON_CBN_CLOSEUP(IDC_PGO_CBB_BACK_ARROW_AUTO_GAP, OnCloseupPgoCbbBackArrowAutoGap)
	ON_CBN_SELCHANGE(IDC_PGO_CBB_BACK_ARROW_AUTO_GAP, OnSelchangePgoCbbBackArrowAutoGap)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_LEFT_TOP, OnPgoRdoFixLeftTop)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_LEFT_CENTER, OnPgoRdoFixLeftCenter)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_LEFT_BOTTOM, OnPgoRdoFixLeftBottom)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_CENTER_BOTTOM, OnPgoRdoFixCenterBottom)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_CENTER_CENTER, OnPgoRdoFixCenterCenter)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_CENTER_TOP, OnPgoRdoFixCenterTop)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_RIGHT_BOTTOM, OnPgoRdoFixRightBottom)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_RIGHT_CENTER, OnPgoRdoFixRightCenter)
	ON_BN_CLICKED(IDC_PGO_RDO_FIX_RIGHT_TOP, OnPgoRdoFixRightTop)
	ON_BN_CLICKED(IDC_PGO_CHK_IS_AUTO_GAP_ACTIVE, OnPgoChkIsAutoGapActive)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

